io.agora.rtc

## Class LocalAudioDetailedStats

- java.lang.Object
- - io.agora.rtc.LocalAudioDetailedStats

-     public class LocalAudioDetailedStats
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AnaStats` | `anaStatistics`
    `private AudioProcessingStats` | `apmStatistics`
    `private int` | `audioLevel`
    `private long` | `bytesSent`
    `private byte` | `codecName`
    `private int` | `codecPayloadType`
    `private int` | `extSeqnum`
    `private float` | `fractionLost`
    `private int` | `jitterMs`
    `private int` | `localSsrc`
    `private int` | `packetsLost`
    `private int` | `packetsSent`
    `private long` | `rttMs`
    `private double` | `totalInputDuration`
    `private double` | `totalInputEnergy`
    `private int` | `typingNoiseDetected`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalAudioDetailedStats()`
    `LocalAudioDetailedStats(int localSsrc, long bytesSent, int packetsSent, int packetsLost, float fractionLost, byte codecName, int codecPayloadType, int extSeqnum, int jitterMs, long rttMs, int audioLevel, double totalInputEnergy, double totalInputDuration, int typingNoiseDetected, AnaStats anaStatistics, AudioProcessingStats apmStatistics)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnaStats` | `getAnaStatistics()`
    `AudioProcessingStats` | `getApmStatistics()`
    `int` | `getAudioLevel()`
    `long` | `getBytesSent()`
    `byte` | `getCodecName()`
    `int` | `getCodecPayloadType()`
    `int` | `getExtSeqnum()`
    `float` | `getFractionLost()`
    `int` | `getJitterMs()`
    `int` | `getLocalSsrc()`
    `int` | `getPacketsLost()`
    `int` | `getPacketsSent()`
    `long` | `getRttMs()`
    `double` | `getTotalInputDuration()`
    `double` | `getTotalInputEnergy()`
    `int` | `getTypingNoiseDetected()`
    `void` | `setAnaStatistics(AnaStats anaStatistics)`
    `void` | `setApmStatistics(AudioProcessingStats apmStatistics)`
    `void` | `setAudioLevel(int audioLevel)`
    `void` | `setBytesSent(long bytesSent)`
    `void` | `setCodecName(byte codecName)`
    `void` | `setCodecPayloadType(int codecPayloadType)`
    `void` | `setExtSeqnum(int extSeqnum)`
    `void` | `setFractionLost(float fractionLost)`
    `void` | `setJitterMs(int jitterMs)`
    `void` | `setLocalSsrc(int localSsrc)`
    `void` | `setPacketsLost(int packetsLost)`
    `void` | `setPacketsSent(int packetsSent)`
    `void` | `setRttMs(long rttMs)`
    `void` | `setTotalInputDuration(double totalInputDuration)`
    `void` | `setTotalInputEnergy(double totalInputEnergy)`
    `void` | `setTypingNoiseDetected(int typingNoiseDetected)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localSsrc

          private int localSsrc

    - #### bytesSent

          private long bytesSent

    - #### packetsSent

          private int packetsSent

    - #### packetsLost

          private int packetsLost

    - #### fractionLost

          private float fractionLost

    - #### codecName

          private byte codecName

    - #### codecPayloadType

          private int codecPayloadType

    - #### extSeqnum

          private int extSeqnum

    - #### jitterMs

          private int jitterMs

    - #### rttMs

          private long rttMs

    - #### audioLevel

          private int audioLevel

    - #### totalInputEnergy

          private double totalInputEnergy

    - #### totalInputDuration

          private double totalInputDuration

    - #### typingNoiseDetected

          private int typingNoiseDetected

    - #### anaStatistics

          private AnaStats anaStatistics

    - #### apmStatistics

          private AudioProcessingStats apmStatistics

  - ### Constructor Detail

    - #### LocalAudioDetailedStats

          public LocalAudioDetailedStats()

    - #### LocalAudioDetailedStats

          public LocalAudioDetailedStats(int localSsrc,
                                         long bytesSent,
                                         int packetsSent,
                                         int packetsLost,
                                         float fractionLost,
                                         byte codecName,
                                         int codecPayloadType,
                                         int extSeqnum,
                                         int jitterMs,
                                         long rttMs,
                                         int audioLevel,
                                         double totalInputEnergy,
                                         double totalInputDuration,
                                         int typingNoiseDetected,
                                         AnaStats anaStatistics,
                                         AudioProcessingStats apmStatistics)

  - ### Method Detail

    - #### getLocalSsrc

          public int getLocalSsrc()

    - #### setLocalSsrc

          public void setLocalSsrc(int localSsrc)

    - #### getBytesSent

          public long getBytesSent()

    - #### setBytesSent

          public void setBytesSent(long bytesSent)

    - #### getPacketsSent

          public int getPacketsSent()

    - #### setPacketsSent

          public void setPacketsSent(int packetsSent)

    - #### getPacketsLost

          public int getPacketsLost()

    - #### setPacketsLost

          public void setPacketsLost(int packetsLost)

    - #### getFractionLost

          public float getFractionLost()

    - #### setFractionLost

          public void setFractionLost(float fractionLost)

    - #### getCodecName

          public byte getCodecName()

    - #### setCodecName

          public void setCodecName(byte codecName)

    - #### getCodecPayloadType

          public int getCodecPayloadType()

    - #### setCodecPayloadType

          public void setCodecPayloadType(int codecPayloadType)

    - #### getExtSeqnum

          public int getExtSeqnum()

    - #### setExtSeqnum

          public void setExtSeqnum(int extSeqnum)

    - #### getJitterMs

          public int getJitterMs()

    - #### setJitterMs

          public void setJitterMs(int jitterMs)

    - #### getRttMs

          public long getRttMs()

    - #### setRttMs

          public void setRttMs(long rttMs)

    - #### getAudioLevel

          public int getAudioLevel()

    - #### setAudioLevel

          public void setAudioLevel(int audioLevel)

    - #### getTotalInputEnergy

          public double getTotalInputEnergy()

    - #### setTotalInputEnergy

          public void setTotalInputEnergy(double totalInputEnergy)

    - #### getTotalInputDuration

          public double getTotalInputDuration()

    - #### setTotalInputDuration

          public void setTotalInputDuration(double totalInputDuration)

    - #### getTypingNoiseDetected

          public int getTypingNoiseDetected()

    - #### setTypingNoiseDetected

          public void setTypingNoiseDetected(int typingNoiseDetected)

    - #### getAnaStatistics

          public AnaStats getAnaStatistics()

    - #### setAnaStatistics

          public void setAnaStatistics(AnaStats anaStatistics)

    - #### getApmStatistics

          public AudioProcessingStats getApmStatistics()

    - #### setApmStatistics

          public void setApmStatistics(AudioProcessingStats apmStatistics)